gnutls_x509_crq_get_pk_algorithm(3)

NAME
gnutls_x509_crq_get_pk_algorithm - This function returns the certificate request's PublicKey algorithm

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_pk_algorithm(gnutls_x509_crq_t crq, unsigned int * bits);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

unsigned int * bits
    if bits is non null it will hold the size of the parameters' in bits

DESCRIPTION
This function will return the public key algorithm of a PKCS \fB10 certificate request. If bits is non null, it should have enough size to hold the parameters size in bits. For RSA the bits returned is the modulus. For DSA the bits returned are of the public exponent. Returns a member of the gnutls_pk_algorithm_t enumeration on success, or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.